Skip to main content
POST
/
Agent
/
Wallet
/
GetTransactionInformation
Get Transaction Information
curl --request POST \
  --url https://{host}/Agent/Wallet/GetTransactionInformation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transactionId": "<string>",
  "tabId": "<string>",
  "functionName": "<string>"
}
'
{
  "id": "<string>",
  "state": "<string>",
  "started": "2023-11-07T05:31:56Z",
  "serviceId": "<string>",
  "serviceProvider": "<string>",
  "amount": 123,
  "currency": "<string>",
  "ended": "2023-11-07T05:31:56Z",
  "successUrl": "<string>",
  "failureUrl": "<string>",
  "cancelUrl": "<string>",
  "clientUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Allows the client to get updated transaction information from the server. It also allows the client to re-register the current Tab ID (from Events.js) and function to call, in case changes are registered with the server-side transaction object. Call this function to restart event notification if you navigate between pages.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
transactionId
string
required
tabId
string
functionName
string

Response

200 - application/json

Success

id
string
required
state
string
required
started
string<date-time>
required
serviceId
string
required
serviceProvider
string
required
amount
number<double>
required
currency
string
required
ended
string<date-time>
successUrl
string
failureUrl
string
cancelUrl
string
clientUrl
string